- Main Page
- Related Pages
- Modules
- Classes
- Files

Functions
GLM_GTC_random: Random number generation
GTC Extensions (Stable)

## Functions
template<typename T >
GLM_FUNC_QUALIFIER detail::tvec3< T > | ballRand (T const &Radius)
template<typename T >
detail::tvec2< T > | circularRand (T const &Radius)
template<typename T >
detail::tvec2< T > | diskRand (T const &Radius)
template<typename genType >
genType | gaussRand (genType const &Mean, genType const &Deviation)
template<typename genType >
genType | linearRand (genType const &Min, genType const &Max)
template<typename T >
detail::tvec3< T > | sphericalRand (T const &Radius)

## Detailed Description

Generate random number from various distribution methods.

<glm/gtc/random.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_QUALIFIER detail::tvec3<T> glm::ballRand | ( | T const & | Radius | ) |

Generate a random 3D vector which coordinates are regulary distributed within the volume of a ball of a given radius.

Parameters:

  Radius |

See also:
  GLM_GTC_random: Random number generation

detail::tvec2<T> glm::circularRand | ( | T const & | Radius | ) |

Generate a random 2D vector which coordinates are regulary distributed on a circle of a given radius.

Parameters:

  Radius |

See also:
  GLM_GTC_random: Random number generation

detail::tvec2<T> glm::diskRand | ( | T const & | Radius | ) |

Generate a random 2D vector which coordinates are regulary distributed within the area of a disk of a given radius.

Parameters:

  Radius |

See also:
  GLM_GTC_random: Random number generation

genType glm::gaussRand | ( | genType const & | Mean,
|  | genType const & | Deviation
| ) |  |

Generate random numbers in the interval [Min, Max], according a gaussian distribution.

Parameters:

  Mean |
  Deviation |

See also:
  GLM_GTC_random: Random number generation

genType glm::linearRand | ( | genType const & | Min,
|  | genType const & | Max
| ) |  |

Generate random numbers in the interval [Min, Max], according a linear distribution.

Parameters:

  Min |
  Max |

Template Parameters:

  genType | Value type. Currently supported: half (not recommanded), float or double scalars and vectors.

See also:
  GLM_GTC_random: Random number generation

detail::tvec3<T> glm::sphericalRand | ( | T const & | Radius | ) |

Generate a random 3D vector which coordinates are regulary distributed on a sphere of a given radius.

Parameters:

  Radius |

See also:
  GLM_GTC_random: Random number generation